## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XUnknown Class Reference

`#include <XUnknown.hpp>`

Inheritance diagram for XUnknown:

[legend]
Collaboration diagram for XUnknown:

[legend]
List of all members.

## Public Types

- typedef XObject ParentType

## Public Methods

- XUnknown (const XalanDOMString &name)
    Construct an XUnknown object from a string. More...
- XUnknown (const XUnknown &source)
- virtual ~XUnknown ()
- virtual XUnknown* clone (void *theAddress=0) const
    Clone the instance. More...
- virtual XalanDOMString getTypeString () const
    Given a request type, return the equivalent string. More...
- virtual double num () const
    Cast result object to a number. More...
- virtual bool boolean () const
    Cast result object to a boolean. More...
- virtual const XalanDOMString& str () const
    Cast result object to a string. More...
- virtual void str (FormatterListener &formatterListener, MemberFunctionPtr function) const
    Send the string value to a FormatterListener instance. More...
- virtual double stringLength () const
    Get the length of the string value of the instance.. More...
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject)
    Process a callback request for preferred type information. More...
- virtual void ProcessXObjectTypeCallback (XObjectTypeCallback &theCallbackObject) const
    Process a callback request for preferred type information. More...

## Static Public Methods

- void initialize ()
    Perform static initialization. More...
- void terminate ()
    Perform static shut down. More...

## Member Typedef Documentation

typedef XObject XUnknown::ParentType

## Constructor & Destructor Documentation

XUnknown::XUnknown ( | const XalanDOMString & name )

  | Construct an XUnknown object from a string. Parameters:
  name | source string

XUnknown::XUnknown ( | const XUnknown & source )

XUnknown::~XUnknown ( | )`[virtual]`

## Member Function Documentation

void XUnknown::ProcessXObjectTypeCallback ( | XObjectTypeCallback & theCallbackObject ) const`[virtual]`

  | Process a callback request for preferred type information. Parameters:
  theCallbackObject | object to call back
Reimplemented from XObject.

void XUnknown::ProcessXObjectTypeCallback ( | XObjectTypeCallback & theCallbackObject )`[virtual]`

  | Process a callback request for preferred type information. Parameters:
  theCallbackObject | object to call back
Reimplemented from XObject.

bool XUnknown::boolean ( | ) const`[virtual]`

| Cast result object to a boolean. Returns: boolean value Reimplemented from XObject.

XUnknown * XUnknown::clone ( | void * theAddress = 0 ) const`[virtual]`

  | Clone the instance. Parameters:
  If | theAddress is not null, the XObject will clone itself into that address.
Returns: a clone of the instance. Reimplemented from XObject.

XalanDOMString XUnknown::getTypeString ( | ) const`[virtual]`

| Given a request type, return the equivalent string. For diagnostic purposes. Returns: string for type Reimplemented from XObject.

void XUnknown::initialize ( | )`[static]`

| Perform static initialization. See class XPathInit. Reimplemented from XObject.

double XUnknown::num ( | ) const`[virtual]`

| Cast result object to a number. Returns: numeric value Reimplemented from XObject.

void XUnknown::str ( | FormatterListener & formatterListener,
| MemberFunctionPtr function ) const`[virtual]`

  | Send the string value to a FormatterListener instance. Parameters:
  formatterListener | The FormatterListener instance
  function | A pointer to the member function of FormatterListener to call
Reimplemented from XObject.

const XalanDOMString & XUnknown::str ( | ) const`[virtual]`

| Cast result object to a string. Returns: string value Reimplemented from XObject.

double XUnknown::stringLength ( | ) const`[virtual]`

| Get the length of the string value of the instance.. Returns: The length of the string value Reimplemented from XObject.

void XUnknown::terminate ( | )`[static]`

| Perform static shut down. See class XPathInit. Reimplemented from XObject.

The documentation for this class was generated from the following file:

- XUnknown.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.